import request from '@/utils/request'

// 学科 jcxx_subject 列表接口
export const subject_list = () =>
  request({
    url: "/jcxx/subject/index",
  });
// 年级 jcxx_grade 列表接口
export const grade_list = () =>
  request({
      url: "/jcxx/grade/index",
  });
// 活动列表
export const hdgl_list = (data = {}) => {
    return request({
        url: "/ysgc/ztyshd/index",
        data,
    });
}
// 活动删除
export const hd_del = (data = {}) => {
  return request({
    url: "/ysgc/ztyshd/delete",
    data,
  });
};
// 上传作品
export const hdzp_add = (data = {}) => {
    return request({
        url: '/ysgc/ztyshd_cyxx_zp/add',
        data,
    })
}

// 作品列表
export const hdzp_list = (data = {}) => {
  return request({
    url: "/ysgc/ztyshd_cyxx_zp/index",
    data,
  });
};

// 作品删除
export const hdzp_del = (data = {}) => {
  return request({
    url: "/ysgc/ztyshd_cyxx_zp/delete",
    data,
  });
};