import request from '@/utils/request';
export const jsxx_list = (data = {}) =>
  request({
    url: '/user/main/index?admin=1',
    data: {
      admin: '1',
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      user_name: data.user_name,
      user_role_id: '75',
      grade_id: data.grade_id,
      sm_id: data.sm_id,
      cm_id: data.cm_id,
      user_grade_num: data.user_grade_num,
      user_class_num: data.user_class_num,
      user_realname: data.user_realname,
      user_cardno: data.user_cardno,
      ue_zgbh: data.ue_zgbh,
      gender: data.gender,
      subject_id: data.subject_id,
      ue_jbxx_tea_jsll_shzt: "2"
    }
  })

export const jsxx_edit = (data = {}) =>
  request({
    url: '/user/main/edit',
    data: {
      admin: "1",
      user_id: data.user_id,
      user_main: {
        user_role_id: '75',
        ue_jbxx_tea_jsll_shzt: data.ue_jbxx_tea_jsll_shzt
      }
    }
  })

// 学科 jcxx_subject 列表接口
export const subject_list = () =>
  request({
    url: '/jcxx/subject/index'
  })
// 年级 jcxx_grade 列表接口
export const grade_list = () =>
  request({
    url: '/jcxx/grade/index'
  })
// 学校列表接口
export const school_list = (data) =>
  request({
    url: '/school/main/index'
  })
// 班级列表接口
export const class_list = () =>
  request({
    url: '/jcxx/class/index'
  })