// import { RouteRecordRaw } from 'vue-router';
import { RouteRecordDetailRaw } from '../routes.d';
export default <RouteRecordDetailRaw[]>[
  {
    "path": "/kcgl",
    "name": "kcgl",
    "props": true,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 1,
      "title": "课程管理"
    },
    children: [
      {
        "path": "ssys",
        "name": "kcgl_ssys",
        "props": true,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 1,
          "title": "全景课堂"
        },
        "component": () => import('~/pages/kcgl/ssys/index.vue'),
        "redirect": null
      },
      {
        "path": "wlzb",
        "name": "kcgl_wlzb",
        "props": true,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "名师优课",
          "checkList": ['export', 'audit']
        },
        "component": () => import('~/pages/kcgl/wlzb/index.vue'),
        "redirect": null
      },
      {
        "path": "ztzb",
        "name": "kcgl_ztzb",
        "props": true,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "艺术现场",
          "checkList": ['export', 'audit']
        },
        "component": () => import('~/pages/kcgl/ztzb/index.vue'),
        "redirect": null
      },
      {
        "path": "xtbk",
        "name": "kcgl_xtbk",
        "props": true,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "协同备课",
          "checkList": ['export', 'audit']
        },
        "component": () => import('~/pages/kcgl/xtbk/index.vue'),
        "redirect": null
      },
      {
        "path": "tbjy",
        "name": "kcgl_tbjy",
        "props": true,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "同步教研",
          "checkList": ['export', 'audit']
        },
        "component": () => import('~/pages/kcgl/tbjy/index.vue'),
        "redirect": null
      },
      {
        "path": "zxxx",
        "name": "kcgl_zxxx",
        "props": true,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "自主研习",
          "checkList": ['export', 'audit']
        },
        "component": () => import('~/pages/kcgl/zxxx/index.vue'),
        "redirect": null
      },
      {
        "path": "kczy",
        "name": "kcgl_kczy",
        "props": true,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "课程资源",
          "checkList": ['export', 'audit']
        },
        "component": () => import('~/pages/kcgl/kczy/index.vue'),
        "redirect": null
      },
    ]
  },
]
